> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# List plugins

> Get a list of plugins for a network



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json get /v0/plugins
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/plugins:
    get:
      tags:
        - plugins
      summary: List plugins
      description: Get a list of plugins for a network
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ListPluginsResponse'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.ListPluginsResponse:
      properties:
        count:
          type: integer
        plugins:
          items:
            $ref: '#/components/schemas/models.PluginResponse'
          type: array
          uniqueItems: false
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.PluginResponse:
      properties:
        created_at:
          type: string
        id:
          type: string
        mc_network_id:
          type: string
        name:
          type: string
        source_type:
          type: string
        source_value:
          type: string
        updated_at:
          type: string
      type: object

````